# Olive Harvest

A 'Jam' (< 72h) game for Ludum Dare 52 ([see LD52 game page](https://ldjam.com/events/ludum-dare/52/olive-harvest)) submitted on the nineth of January, 2023.

**Licence:** [GPL v3, see COPYING](./COPYING)


## Description

A game about farming olives.

Wait ever patiently for olives to grow on your trees. Shake them off. Slide along a wheelbarrow and collect them together. Push them into the press. Get in and jump on them; there’s no time to waste when it comes to making olive oil! Once your olive oil is bottled, pick up the bottles and drop them off on the back of the postie’s van in order to earn those luscious golden coins. Earn enough and you can enjoy a well-deserved change of scene… at another olive farm.

…Oh, the slugs? They’re harmless little things.

### Controls
(All controls are in UK keyboard location — the labels on the keys may differ on different keyboards but the positions will be the same.)

- `WASD` / `Arrow` Keys to move
- `Space` to interact (shake tree, pick up items or wheelbarrow, attack, …)
- `Q` to drop items


## Building

Download a copy of Godot (version 3.5.1 used for development) and point it to this directory.

You can play it from within Godot directly.

**Web export:** Use Godot's 'HTML5' web export feature and set the page name to `index.html` (for submission to LD52). Upload to a server and navigate there in a WebGL-enabled browser.


## Development

As above, just use Godot version 3.5.1 (or possibly later).
